# 8.0.0

The 8.0 release brings several API simplifications. Some of them are not backwards compatible, so make sure to read the [upgrade notes](./upgrade-notes.md). The new StadiaMaps source replaces the Stamen source, because Stamen no longer hosts map tiles. Several WebGL improvements are also part of this release. And finally, a new loader API for image layers makes working with non-tiled raster data more modular and faster.

#### List of all changes

See below for a complete list of features and fixes.

 * Revert "Remove lineCap, it is useless on closed paths" (by @MoonE in https://github.com/openlayers/openlayers/pull/15064)
 * Updates for the 7.5.2 release (by @openlayers in https://github.com/openlayers/openlayers/pull/15067)
 * Support XYM geometry layout in WebGL vector layer (by @jahow in https://github.com/openlayers/openlayers/pull/15063)
 * Detect static image loaders by arguments length (by @ahocevar in https://github.com/openlayers/openlayers/pull/15039)
 * Add OL STAC example (by @tschaub in https://github.com/openlayers/openlayers/pull/15042)
 * Remove ol/style/Icon's imgSize property (by @ahocevar in https://github.com/openlayers/openlayers/pull/15059)
 * Remove WebGL helper classes from the API (by @ahocevar in https://github.com/openlayers/openlayers/pull/15061)
 * Add OL STAC to 3rd party page (by @tschaub in https://github.com/openlayers/openlayers/pull/15041)
 * Fix parameter description (by @fredj in https://github.com/openlayers/openlayers/pull/15050)
 * Do not download fonts, use system fonts (by @ahocevar in https://github.com/openlayers/openlayers/pull/15046)
 * Remove deprecated ol/AssertionError class (by @fredj in https://github.com/openlayers/openlayers/pull/15047)
 * Set correct maxZoom in OSM Vector Tiles example (by @mike-000 in https://github.com/openlayers/openlayers/pull/15044)
 * Fix typo in export name (by @ahocevar in https://github.com/openlayers/openlayers/pull/15038)
 * Update ol-mapbox-style and use MapboxVectorLayer in test (by @ahocevar in https://github.com/openlayers/openlayers/pull/15037)
 * Wait until font loading has finished (by @ahocevar in https://github.com/openlayers/openlayers/pull/15032)
 * Allow to set GeoTiff projection (by @tschaub in https://github.com/openlayers/openlayers/pull/15036)
 * Remove ol/layer/MapboxVector to avoid a circular dependency (by @ahocevar in https://github.com/openlayers/openlayers/pull/14870)
 * Keep declutter tree for hit detection (by @ahocevar in https://github.com/openlayers/openlayers/pull/15028)
 * Make BingMaps source 'placeholderTiles' optional (by @adube in https://github.com/openlayers/openlayers/pull/15027)
 * Fix various typos (by @luzpaz in https://github.com/openlayers/openlayers/pull/15021)
 * Styling with logical operators and type assertions (by @tschaub in https://github.com/openlayers/openlayers/pull/15003)
 * Move inlineDynamicImports options to output (by @ahocevar in https://github.com/openlayers/openlayers/pull/15016)
 * Release v7.5.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15017)
 * Bump version to 8.0.0-dev (by @tschaub in https://github.com/openlayers/openlayers/pull/15018)
 * Fix OGCVectorTile source types (by @MoonE in https://github.com/openlayers/openlayers/pull/15015)
 * Use .transform() instead of .setTransform() when rendering image or text (by @mike-000 in https://github.com/openlayers/openlayers/pull/14483)
 * Fix word repetition in example descriptions (by @mike-000 in https://github.com/openlayers/openlayers/pull/15012)
 * Fix return type of Layer#renderFrame (by @MoonE in https://github.com/openlayers/openlayers/pull/15005)
 * WebGL / Rework symbol rendering to include circles with outlines, shapes and icons (by @jahow in https://github.com/openlayers/openlayers/pull/14883)
 * Loader based API for image sources using ImageBitmap (by @ahocevar in https://github.com/openlayers/openlayers/pull/14945)
 * Fix text placement line hit detection for pixelRatio !== 1 (by @ahocevar in https://github.com/openlayers/openlayers/pull/15001)
 * Expression based styling (by @tschaub in https://github.com/openlayers/openlayers/pull/14780)
 * Do not override `caption-side` in featureInfo styles (by @mike-000 in https://github.com/openlayers/openlayers/pull/15002)
 * Generate provenance statement when publishing package (by @tschaub in https://github.com/openlayers/openlayers/pull/15000)
 * Doc updates (by @tschaub in https://github.com/openlayers/openlayers/pull/14999)
 * Improved jsdoc types and docstrings in Base.js (by @oshawa-connection in https://github.com/openlayers/openlayers/pull/14998)
 * Add notes on upgrading to StadiaMaps source (by @tschaub in https://github.com/openlayers/openlayers/pull/14997)
 * Direct access to object properties (by @tschaub in https://github.com/openlayers/openlayers/pull/14996)
 * Reflect that Stamen styles are hosted by Stadia Maps (by @stadiamaps in https://github.com/openlayers/openlayers/pull/14989)
 * Updates for the 7.5.0 release (by @openlayers in https://github.com/openlayers/openlayers/pull/14995)


<details>
  <summary>Dependency Updates</summary>

 * Bump typescript from 5.1.6 to 5.2.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/15055)
 * Bump rollup from 3.28.0 to 3.28.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15054)
 * Bump eslint from 8.47.0 to 8.48.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15053)
 * Bump marked from 7.0.4 to 7.0.5 (by @openlayers in https://github.com/openlayers/openlayers/pull/15052)
 * Bump ol-mapbox-style from 11.0.1 to 11.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15051)
 * Bump puppeteer from 21.0.3 to 21.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15034)
 * Bump @rollup/plugin-node-resolve from 15.1.0 to 15.2.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/15040)
 * Bump marked from 7.0.2 to 7.0.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/15033)
 * Bump rollup from 2.79.1 to 3.28.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15010)
 * Bump ol-mapbox-style from 10.6.0 to 10.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15008)
 * Bump @rollup/plugin-commonjs from 25.0.3 to 25.0.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/15007)
 * Bump eslint from 8.46.0 to 8.47.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/15009)
 * Bump puppeteer from 21.0.1 to 21.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/15011)
 * Bump marked from 7.0.0 to 7.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/15006)


</details>
